Último propietario
La API responde con 409 Conflict ante este problema. Su type es https://lingo.dev/docs/api/errors/last-owner-removal. Consulta Errores y códigos de estado para conocer la estructura común de todos los errores.
El usuario <userId> es el último propietario de la organización <organizationId>. Toda organización debe tener al menos un propietario. Primero, asigna el rol de propietario a otro miembro.
Campos#
Además de los miembros estándar type, status, title y detail, el cuerpo incluye estos campos. El texto de detail se genera a partir de ellos, por lo que el cliente puede mostrar su propio texto en su lugar.
| Campo | Tipo |
|---|---|
organizationId | string |
userId | string |
Ejemplo#
json
{
"detail": "User <userId> is the last owner of organization <organizationId>. An organization must keep at least one owner. Give the owner role to another member first.",
"organizationId": "<organizationId>",
"userId": "<userId>",
"type": "https://lingo.dev/docs/api/errors/last-owner-removal",
"status": 409,
"title": "Last owner"
}Devuelto por#
DELETE /v2/members/{id}PATCH /v2/organizations/{orgId}/members/{userId}